@ECHO off
@BREAK ON
CLS
ECHO This demo requires a properly installed UltraSound Plug & Play
ECHO or UltraSound sound card to run. Owners of other soundcards
ECHO can also play these songs using an appropriate MIDI
ECHO player for their card.
ECHO 
pause
REM ----
REM  Checks to see if there is an UltraSound or UltraSound PnP
REM ----
IF %ULTRASND% !==! IF %INTERWAVE% !==! GOTO NO_CARD
IF %INTERWAVE%       !==! GOTO ULTRASND
GOTO ULTRAPNP

:NO_CARD
ECHO 
ECHO Unable to locate UltraSound or UltraSound PnP environment
ECHO variables (SET ULTRASND= and/or SET INTERWAVE=).
ECHO 
GOTO exit

:ULTRASND
ECHO Playing "The Rain"
playmidi -v105 -x24 the_rain
if errorlevel 99 goto done
ECHO Playing "Last Days of Summer"
playmidi -v100 -x20 dilast1b
if errorlevel 99 goto done
ECHO Playing "Hero"
playmidi -v110 -x24 hero
if errorlevel 99 goto done
ECHO Playing "Chris1"
playmidi -v100 -x24 chris1
if errorlevel 99 goto done
ECHO Playing "Chris2"
playmidi -v100 -x24 chris2
if errorlevel 99 goto done
ECHO Playing "Chris3"
playmidi -v100 -x24 chris3
if errorlevel 99 goto done
ECHO Playing "Chris4"
playmidi -v100 -x24 chris4
if errorlevel 99 goto done
ECHO Playing "She's So Funky"
playmidi -v110 -x24 sofunky
GOTO DONE

:ULTRAPNP
ECHO Playing "The Rain"
play the_rain.mid
if errorlevel 99 goto done
ECHO Playing "Hero"
play hero.mid
if errorlevel 99 goto done
ECHO Playing "Chris1"
play chris1.mid
if errorlevel 99 goto done
ECHO Playing "Chris2"
play chris2.mid
if errorlevel 99 goto done
ECHO Playing "Chris3"
play chris3.mid
if errorlevel 99 goto done
ECHO Playing "Chris4"
play chris4.mid
if errorlevel 99 goto done
ECHO Playing "She's So Funky"
play sofunky.mid
GOTO DONE

:done
ECHO Thank you for choosing UltraSound!
:exit
